<?php

namespace App\Http\Controllers;

use Illuminate\Http\Request;

use Illuminate\Support\Facades\Auth;

class ProfileController extends Controller
{
    public function index()
    {
        $user = Auth::user();
        return view('profile.index', compact('user'));
    }

    public function update(Request $request)
    {
        $request->validate([
            'first_name' => 'required|string|max:255',
            'last_name' => 'required|string|max:255',
            'gender' => 'required|in:Male,Female,Other',
            'birthday' => 'required|date',
            'nationality' => 'required|string|max:255',
        ]);

        $user = Auth::user();
        $user->update($request->only('first_name', 'last_name', 'gender', 'birthday', 'nationality'));

        return redirect()->route('profile')->with('success', 'Profile updated successfully.');
    }
}

