@extends('layouts.admin')


@section('content')
<div class="card">
    <div class="card-header d-flex justify-content-between">
        <h4>Brands</h4>

    
    <div class="d-flex justify-content-between align-items-center">
             <a class="btn btn-primary d-flex align-items-center justify-content-center mb-0" href="{{url('add-brand')}}">
            <div class="text-white text-center me-2 d-flex align-items-center justify-content-center">
              <i class="material-icons opacity-10">add_circle</i>
            </div>
            <span class="nav-link-text ms-1">Add Brands</span>
          </a>
            <!-- Search Form -->
            <form action="{{ route('brands.index') }}" method="GET" class="d-flex">
                <input type="text" name="search" value="{{ request()->input('search') }}" placeholder="Search by brand name..." style="width:300px" class="form-control border border-primary ms-2 px-2">
                <button type="submit" class="btn btn-primary mx-2 mb-0">Search</button>
            </form>
        </div>
    </div>

    <div class="card-body table-responsive">
        <table class="table table-striped table-fixed table-hover align-middle text-center">
            <thead class="table-dark">
                <tr>
                    <th>Id</th>
                    <th>Name</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @forelse ($brands as $brand)
                <tr>
                    <td>{{ $brand->id }}</td>
                    <td>{{ $brand->name }}</td>
                    <td>
                        <a class="btn btn-primary" href="{{ url('edit-brands/'.$brand->id) }}">Edit</a>
                        <a class="btn btn-danger" href="{{ url('delete-brands/'.$brand->id) }}">Delete</a>
                    </td>
                </tr>
                @empty
                <tr>
                    <td colspan="3">No brands found.</td>
                </tr>
                @endforelse
            </tbody>
        </table>

        <!-- Pagination Links -->
        <div class="d-flex justify-content-center mt-3 pagination">
            {{ $brands->appends(request()->query())->links() }}
        </div>
    </div>
   </div> 
@endsection