@extends('layouts.admin')

@section('content')
<div class="card shadow-sm border-0">
    <div class="card-header bg-primary text-white">
        <h4 class="mb-0 text-white">Edit Section</h4>
    </div>
    <div class="card-body">
        <form method="POST" action="{{ route('campaign-context.update', $campaignContext->id) }}">
            @csrf

            <div class="row">
                <div class="col-md-4 mb-3">
                    <label for="campaign_id" class="form-label">Campaign</label>
                    <div class="input-group">
                        <select class="form-control p-2" name="campaign_id" id="campaign_id" required>
                            <option value="">Select Campaign</option>
                            @foreach($campaigns as $campaign)
                                <option value="{{ $campaign->id }}" {{ $campaign->id == $campaignContext->campaign_id ? 'selected' : '' }}>
                                    {{ $campaign->name }}
                                </option>
                            @endforeach
                        </select>
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fas fa-caret-down"></i></span>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <label for="brand_id" class="form-label">Brand</label>
                    <div class="input-group">
                        <select class="form-control p-2" name="brand_id" id="brand_id">
                            <option value="">Select Brand</option>
                            @foreach($brands as $brand)
                                <option value="{{ $brand->id }}" {{ $brand->id == $campaignContext->brand_id ? 'selected' : '' }}>
                                    {{ $brand->name }}
                                </option>
                            @endforeach
                        </select>
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fas fa-caret-down"></i></span>
                        </div>
                    </div>
                </div>
                <div class="col-md-4 mb-3">
                    <label for="category_id" class="form-label">Category</label>
                    <div class="input-group">
                        <select class="form-control p-2" name="category_id" id="category_id">
                            <option value="">Select Category</option>
                            @foreach($categories as $category)
                                <option value="{{ $category->id }}" {{ $category->id == $campaignContext->category_id ? 'selected' : '' }}>
                                    {{ $category->name }}
                                </option>
                            @endforeach
                        </select>
                        <div class="input-group-append">
                            <span class="input-group-text"><i class="fas fa-caret-down"></i></span>
                        </div>
                    </div>
                </div>

                <div class="col-md-12 mb-3">
                    <button type="submit" class="btn btn-primary btn-block">Update</button>
                </div>    
            </div>    
        </form>
    </div>
</div>

<!-- Add FontAwesome Icons (via CDN or locally) -->
<script src="https://kit.fontawesome.com/a076d05399.js"></script>
<script>
// Add any custom script if needed
</script>
@endsection
