@extends('layouts.admin')

@section('content')
<div class="card">
    <div class="card-header d-flex justify-content-between">
        <h4>Home Sections List</h4>

        <div class="d-flex justify-content-between align-items-center">
            <a hrefhref="{{ route('home.campaign-context.create') }}" class="btn btn-primary m-0">Add Home Sections</a>
            <!-- Search Form -->
            <form action="{{ url('home-campaign-context') }}" method="GET" class="d-flex">
                <input type="text" name="search" value="{{ request()->input('search') }}" placeholder="Search by Campaign Name..." style="width:300px" class="form-control border border-primary ms-2 px-2">
                <button type="submit" class="btn btn-primary mx-2 mb-0">Search</button>
            </form>
        </div>

    </div>
    <div class="card-body">
        <table class="table table-striped table-fixed table-hover align-middle text-center">
            <thead class="table-dark">
                <tr>
                    <th>ID</th>
                    <th>Campaign</th>
                    <th>Actions</th>
                </tr>
            </thead>
            <tbody>
                @forelse($campaignContexts as $context)
                <tr>
                    <td>{{ $context->id }}</td>
                    <td>{{ $context->campaign->name ?? 'N/A' }}</td>
                    <td>
                        <a href="{{ route('home-campaign-context.edit', $context->id) }}" class="btn btn-success">Edit</a>
                        <form action="{{ route('campaign-context.destroy', $context->id) }}" method="POST" class="d-inline">
                            @csrf
                            @method('DELETE')
                            <button type="submit" class="btn btn-danger">Delete</button>
                        </form>
                    </td>
                </tr>
                @empty
                <tr>
                    <td colspan="3">No home sections found.</td>
                </tr>
                @endforelse
            </tbody>
        </table>

        <!-- Pagination Links with Search Query -->
        <div class="d-flex justify-content-center mt-3 pagination">
            {{ $campaignContexts->appends(['search' => request()->input('search')])->links() }}
        </div>
    </div>
</div>
@endsection
