@extends('layouts.admin')

@section('content')
<div class="card">
    <div class="card-header bg-primary text-white">
        <h4 class="text-white">Add Products</h4>
    </div>
    <div class="card-body">
        <form method="POST" action="{{ url('insert-product') }}" enctype="multipart/form-data"> 
            @csrf
            <div class="row">
                <div class="col-md-6 mb-3">
                    <label for="brand_id">Brand</label>
                    <select class="form-select border border-dark p-2" name="brand_id" id="brand_id">
                        <option value="">Select a Brand</option>
                        @foreach($brands as $brand)
                        <option value="{{ $brand->id }}" {{ old('brand_id') == $brand->id ? 'selected' : '' }}>
                            {{ $brand->name }}
                        </option>
                        @endforeach
                    </select>
                </div>
                <div class="col-md-6 mb-3">
                    <label for="category_id">Category</label>
                    <select class="form-select border border-dark p-2" name="category_id" id="category_id">
                        <option value="">Select a Category</option>
                        @foreach($categories as $category)
                        <option value="{{ $category->id }}" {{ old('category_id') == $category->id ? 'selected' : '' }}>
                            {{ $category->name }}
                        </option>
                        @endforeach
                    </select>
                </div>
          
                <div class="col-md-6 mb-3">
                    <label for="name">Name</label>
                    <input type="text" class="form-control border border-dark p-2" name="name" id="name" value="{{ old('name') }}" required>
                </div>
                <div class="col-md-6 mb-3">
                    <label for="product_code">Product Code</label>
                    <input type="text" class="form-control border border-dark p-2" name="product_code" id="product_code" value="{{ old('product_code') }}" required>
                </div>
                <div class="col-md-12 mb-3">
                    <label for="description">Description</label>
                    <textarea name="description" rows="3" class="form-control border border-dark p-2" id="description" required>{{ old('description') }}</textarea>   
                </div>
                <div class="col-md-6 mb-3">
                    <label for="in_stock">In Stock</label>
                    <input type="number" class="form-control border border-dark p-2" name="in_stock" id="in_stock" value="{{ old('in_stock') }}" required>
                </div>
                <div class="col-md-6 mb-3">
                    <label for="sku">SKU</label>
                    <input type="text" class="form-control border border-dark p-2" name="sku" id="sku" value="{{ old('sku') }}" required>
                </div>
                <div class="col-md-6 mb-3">
                    <label for="price">Regular Price</label>
                    <input type="number" class="form-control border border-dark p-2" name="old_price" id="old_price" value="{{ old('old_price') }}" required>
                </div>
                <div class="col-md-6 mb-3">
                    <label for="price">Sale Price</label>
                    <input type="number" class="form-control border border-dark p-2" name="price" id="price" value="{{ old('price') }}" required>
                </div>
                <div class="col-md-12 mb-3">
                    <label for="image">Product Images</label>
                    <input type="file" name="image[]" class="form-control border border-dark p-2" multiple required>
                </div>
  
                <div class="col-md-12 mb-3">
                   <button type="submit" class="btn btn-primary">Submit</button>
                </div>    
            </div>    
        </form>
    </div>
</div>
@endsection
