@extends('layouts.admin')


@section('content')
<div class="card">
    <div class="card-header d-flex justify-content-between">
        <h4>Registered Users</h4>
        <!-- Search Form -->
      
         <form action="{{ url('campaign-context') }}" method="GET" class="d-flex">
                <input type="text" name="search" value="{{ request()->input('search') }}" placeholder="Search..."  style="width:300px" class="form-control border border-primary ms-2 px-2">
                <button type="submit" class="btn btn-primary mx-2 mb-0">Search</button>
            </form>
    </div>

    <div class="card-body">
        <table class="table table-striped table-fixed table-hover align-middle text-center">
            <thead class="table-dark">
                <tr>
                    <th>Id</th>
                    <th>First Name</th>
                    <th>Last Name</th>
                    <th>Email</th>
                    <th>Action</th>
                </tr>
            </thead>
            <tbody>
                @forelse ($users as $item)    
                <tr>
                    <td>{{$item->id}}</td>
                    <td>{{$item->first_name}}</td>
                    <td>{{$item->last_name}}</td>
                    <td>{{$item->email}}</td>
                    <td>
                        <a class="btn btn-primary" href="{{ url('view-user/'.$item->id) }}">View</a>
                    </td>
                </tr>
                @empty
                <tr>
                    <td colspan="5">No users found.</td>
                </tr>
                @endforelse
            </tbody>
        </table>
        
        <!-- Pagination Links -->
        <div class="d-flex justify-content-center pagination">
        {{ $users->appends(request()->query())->links() }}
        </div>
    </div>
   </div>
@endsection