@extends('layouts.app')

@section('content')
<!-- CSS only -->
<link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet" integrity="sha384-rbsA2VBKQhggwzxH7pPCaAqO46MgnOM80zW1RWuH61DGLwZJEdK2Kadq2F9CUG65" crossorigin="anonymous">
<style>
    .divider:after,
    .divider:before {
        content: "";
        flex: 1;
        height: 1px;
        background: #eee;
    }

    .h-custom {
        height: calc(100% - 73px);
    }

    @media (max-width: 450px) {
        .h-custom {
            height: 100%;
        }
    }

    /* Make the input fields and button half the size */
    .form-control {
        width: 70%;
        margin: 0 auto;
        border-color:rgb(205 178 91) !important; 
    }


     
    .form-label{
      margin-left: 15%;
    }

    .form-control:focus {
    border-color: rgb(205, 178, 91) !important; /* Custom border color */
    box-shadow: 0 0 5px rgba(205, 178, 91, 0.5) !important; /* Custom shadow with the same color */
    outline: none !important; /* Optional: removes default outline */
}

    .btn-custom {
        width: 30%;
        margin: 0 auto;
        border:1px solid rgb(205 178 91);
        color: black !important;
    }



    /* Add the custom hover color for the button */
    .btn-outline-primary:hover {
        background-color:rgb(205 178 91); /* Replace with the actual logo color */
        border-color:rgb(205 178 91); /* Replace with the actual logo color */
    }

    /* Center the logo at the top */
    .logo-container {
        text-align: center;
        margin-bottom: 20px;
    }

    .logo-container img {
        width: 200px; /* Adjust the logo size as needed */
    }
</style>

<section class="vh-100">
  <div class="container-fluid h-custom">
     <div class="row d-flex justify-content-center align-items-center h-100">
        <div class="col-md-4 col-lg-6 col-xl-4 ">
           <div class="logo-container">
            <img src="{{ asset('images/logo.svg') }}" alt="Madamar Identity Pay Logo">
         </div>
           <form action="{{ route('login') }}" method="POST">
              @csrf
              <div class="d-flex flex-row align-items-center justify-content-center">
                <h1>{{ __('Login') }}</h1>
              </div>
              <br>
              <!-- Email input -->
              <div class="form-outline mb-4">
                 <label class="form-label" for="form3Example3">{{ __('Email Address') }}</label>
                 <input id="email" type="email" class="form-control @error('email') is-invalid @enderror" name="email" value="{{ old('email') }}" required autocomplete="email" autofocus/>
                 @error('email')
                 <span class="invalid-feedback" role="alert">
                 <strong>{{ $message }}</strong>
                 </span>
                 @enderror
              </div>
              <!-- Password input -->
              <div class="form-outline mb-3">
                 <label class="form-label" for="form3Example4">{{ __('Password') }}</label>
                 <input id="password" type="password" class="form-control @error('password') is-invalid @enderror" name="password" required autocomplete="current-password"/>
                 @error('password')
                 <span class="invalid-feedback" role="alert">
                 <strong>{{ $message }}</strong>
                 </span>
                 @enderror
              </div>
              <div class="d-flex my-4 justify-content-center flex-column mx-4 mb-3 mb-lg-4">
               <button type="submit" class="btn btn-outline-primary btn-custom">{{ __('login') }}</button>
              </div>
              <div class="d-flex my-4 justify-content-center flex-column mx-4 mb-3 mb-lg-4">
               <a class="btn btn-outline-primary btn-custom" href="/password/reset">{{ __('Forgot Password') }}</a>
              </div>
           </form>
        </div>
     </div>
  </div>
  <div>
</section>
@endsection
