@extends('layouts.admin')

@section('content')
<div class="container mt-4">
    <h2>User Profile</h2>

    @if(session('success'))
        <div class="alert alert-success">
            {{ session('success') }}
        </div>
    @endif

    <form action="{{ route('profile.update') }}" method="POST">
        @csrf

        <div class="mb-3">
            <label for="first_name" class="form-label">First Name</label>
            <input type="text" class="form-control border border-primary px-2" id="first_name" name="first_name" value="{{ old('first_name', $user->first_name) }}" required>
        </div>

        <div class="mb-3">
            <label for="last_name" class="form-label">Last Name</label>
            <input type="text" class="form-control border border-primary px-2" id="last_name" name="last_name" value="{{ old('last_name', $user->last_name) }}" required>
        </div>

        <div class="mb-3">
            <label for="gender" class="form-label">Gender</label>
            <select class="form-control border border-primary px-2" id="gender" name="gender" required>
                <option value="Male" {{ $user->gender == 'Male' ? 'selected' : '' }}>Male</option>
                <option value="Female" {{ $user->gender == 'Female' ? 'selected' : '' }}>Female</option>
                <option value="Other" {{ $user->gender == 'Other' ? 'selected' : '' }}>Other</option>
            </select>
        </div>

        <div class="mb-3">
            <label for="date_of_birth" class="form-label">Date of Birth</label>
            <input type="date" class="form-control border border-primary px-2" id="date_of_birth" name="birthday" value="{{ old('birthday', $user->birthday) }}" required>
        </div>

        <div class="mb-3">
            <label for="nationality" class="form-label">Nationality</label>
            <input type="text" class="form-control border border-primary px-2" id="nationality" name="nationality" value="{{ old('nationality', $user->nationality) }}" required>
        </div>

        <button type="submit" class="btn btn-primary">Update Profile</button>
    </form>
</div>
@endsection
